.Dd June 12, 2017
.Dt OOOK-DUMP-XFS 1
.Sh NAME
.Nm oook-dump-xfs
.Nd Script to back up XFS filesystems to Oook
.Sh SYNOPSIS
.Nm
.Ic full | incr
.Ar filesystem
.Sh DESCRIPTION
.Nm
uses the
.Xr xfsdump 8
command to back up a Linux XFS filesystem.
If run other than as the
.Li root
user,
.Nm
re-invokes itself using the
.Ic oook-dump-xfs
service of
.Xr userv 1 .
Once running as
.Li root ,
.Nm
peforms a level-0 or level-1 backup of
.Ar filesystem
as appropriate.
.Nm
uses the dump inventory maintained by
.Xr xfsdump 8
to maintain information about full backups for the purposes of making
differential ones.
.Sh EXAMPLES
.Nm
is usually invoked by
.Xr oook-client 1 .
For instance if
.Pa /home
is an XFS filesystem,
.Pa /etc/oook/fslist
might contain:
.Pp
.Dl /home dump-xfs
.Sh SEE ALSO
.Xr oook-client 1 ,
.Xr userv 1 ,
.Xr xfsdump 8 .
.Sh AUTHORS
.Nm
and this manual page were written by Ben Harris for the University of
Cambridge Information Services.
